> ## Documentation Index
> Fetch the complete documentation index at: https://langwatch.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a custom graph on a dashboard

> Create a custom graph on a dashboard



## OpenAPI

````yaml POST /api/graphs
openapi: 3.1.0
info:
  title: LangWatch API
  version: 1.0.0
  description: LangWatch openapi spec
servers:
  - url: https://app.langwatch.ai
security:
  - project_api_key: []
paths:
  /api/graphs:
    post:
      description: Create a custom graph on a dashboard
      operationId: postApiGraphs
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                name:
                  type: string
                  minLength: 1
                graph:
                  type: object
                  additionalProperties: {}
                dashboardId:
                  type: string
                filters:
                  type: object
                  additionalProperties: {}
                gridColumn:
                  type: number
                  minimum: 0
                  maximum: 1
                gridRow:
                  type: number
                  minimum: 0
                colSpan:
                  type: number
                  minimum: 1
                  maximum: 2
                rowSpan:
                  type: number
                  minimum: 1
                  maximum: 2
              required:
                - name
                - graph
      responses:
        '201':
          description: Graph created
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  name:
                    type: string
                  graph:
                    type: object
                    additionalProperties: {}
                  filters:
                    type:
                      - object
                      - 'null'
                    additionalProperties: {}
                  dashboardId:
                    type:
                      - string
                      - 'null'
                  gridColumn:
                    type: number
                  gridRow:
                    type: number
                  colSpan:
                    type: number
                  rowSpan:
                    type: number
                  createdAt:
                    type: string
                  updatedAt:
                    type: string
                required:
                  - id
                  - name
                  - graph
                  - filters
                  - dashboardId
                  - gridColumn
                  - gridRow
                  - colSpan
                  - rowSpan
                  - createdAt
                  - updatedAt
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                  message:
                    type: string
                required:
                  - error
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                  message:
                    type: string
                required:
                  - error
        '422':
          description: Unprocessable Entity
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                  message:
                    type: string
                required:
                  - error
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                  message:
                    type: string
                required:
                  - error
components:
  securitySchemes:
    project_api_key:
      type: apiKey
      in: header
      name: X-Auth-Token
      description: >-
        Project API key for sending traces and accessing project-scoped
        resources. Format: sk-lw-... (no underscore). Obtain one by creating a
        project via the Admin API or the LangWatch UI.

````